/*
 * Docs Dispatcher API - API document(s) generation
 * Docs.io API enables you to generate files (currently DOCx, XLSx, PPTx, PDF, HTML, JPG/PNG/SVG) from a template and JSON data. You can just download resulting file, send email with generated attachments or compose services.
 *
 * The version of the OpenAPI document: 3.1.1
 * Contact: tech@docs-dispatcher.io
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package io.docs_dispatcher.client.model;

import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.docs_dispatcher.client.model.BasicRequest;
import io.docs_dispatcher.client.model.DeferredTargetRequest;
import io.docs_dispatcher.client.model.ESignField;
import io.docs_dispatcher.client.model.ESignFileContentRequest;
import io.docs_dispatcher.client.model.Recipient;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import org.openapitools.jackson.nullable.JsonNullable;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;

/**
 * Model tests for ESignRequest
 */
public class ESignRequestTest {
    private final ESignRequest model = new ESignRequest();

    /**
     * Model tests for ESignRequest
     */
    @Test
    public void testESignRequest() {
        // TODO: test ESignRequest
    }

    /**
     * Test the property 'provider'
     */
    @Test
    public void providerTest() {
        // TODO: test provider
    }

    /**
     * Test the property 'subject'
     */
    @Test
    public void subjectTest() {
        // TODO: test subject
    }

    /**
     * Test the property 'messageBody'
     */
    @Test
    public void messageBodyTest() {
        // TODO: test messageBody
    }

    /**
     * Test the property 'message'
     */
    @Test
    public void messageTest() {
        // TODO: test message
    }

    /**
     * Test the property 'finalDocMessageSubject'
     */
    @Test
    public void finalDocMessageSubjectTest() {
        // TODO: test finalDocMessageSubject
    }

    /**
     * Test the property 'finalDocMessageBody'
     */
    @Test
    public void finalDocMessageBodyTest() {
        // TODO: test finalDocMessageBody
    }

    /**
     * Test the property 'finalDocMessage'
     */
    @Test
    public void finalDocMessageTest() {
        // TODO: test finalDocMessage
    }

    /**
     * Test the property 'recipients'
     */
    @Test
    public void recipientsTest() {
        // TODO: test recipients
    }

    /**
     * Test the property 'documents'
     */
    @Test
    public void documentsTest() {
        // TODO: test documents
    }

    /**
     * Test the property 'finalDocRecipients'
     */
    @Test
    public void finalDocRecipientsTest() {
        // TODO: test finalDocRecipients
    }

    /**
     * Test the property 'data'
     */
    @Test
    public void dataTest() {
        // TODO: test data
    }

    /**
     * Test the property 'type'
     */
    @Test
    public void typeTest() {
        // TODO: test type
    }

    /**
     * Test the property 'deliveryType'
     */
    @Test
    public void deliveryTypeTest() {
        // TODO: test deliveryType
    }

    /**
     * Test the property 'signingMode'
     */
    @Test
    public void signingModeTest() {
        // TODO: test signingMode
    }

    /**
     * Test the property 'expirationTime'
     */
    @Test
    public void expirationTimeTest() {
        // TODO: test expirationTime
    }

    /**
     * Test the property 'fields'
     */
    @Test
    public void fieldsTest() {
        // TODO: test fields
    }

    /**
     * Test the property 'settings'
     */
    @Test
    public void settingsTest() {
        // TODO: test settings
    }

    /**
     * Test the property 'targets'
     */
    @Test
    public void targetsTest() {
        // TODO: test targets
    }

}
